Page MenuHomeFreeBSD

New port: misc/liblxi: Library for communicating with LXI compatible instruments
AbandonedPublic

Authored by yuri on Dec 29 2017, 11:53 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 13994
Build 14187: arc lint + arc unit

Event Timeline

yuri created this revision.Dec 29 2017, 11:53 PM
tcberner added inline comments.Dec 29 2017, 11:56 PM
misc/liblxi/Makefile
30

^ twice avahi-app

mat added a comment.Dec 30 2017, 8:39 AM

I would remove the static option altogether and never install the .a file.

yuri marked an inline comment as done.Dec 30 2017, 9:08 AM

Why the static library hate? This is my second port where committer was asked to remove static libraries and I'd like to understand the rationale behind it. Are we turning into Arch Linux?

adamw added a comment.Dec 30 2017, 5:59 PM

Why the static library hate? This is my second port where committer was asked to remove static libraries and I'd like to understand the rationale behind it. Are we turning into Arch Linux?

pkg knows when shared libraries have changed, and knows which ports will need to be reinstalled. It has (of course) no knowledge of what was statically linked. Ports should always link against shared libraries except for certain vital programs (like shells) that may need to be run in safe mode without shared libraries being mounted or available (and even then, it's a non-default option).

Hi Adam,

You're right of course about ports linkage, but most library ports are also usable outside of just being a dependency of another port. Users may have (as I do in case of misc/libpostal - the other port where we had this discussion) some proprietary software that needs to be statically linked with liblxi. Removing STATIC option (OFF by default) indeed saves a few KB and 3 lines in the svn diff, but now instead of toggling STATIC checkbox, users need to do an exploratory dive into (probably unfamiliar) port sources.

I don't think that removing static libraries from ports is the correct approach because I believe the choice of whether or not to have static libraries should be down to the port user and we should at least provide a way to easily install them if needed.

mat added inline comments.Dec 31 2017, 9:32 AM
misc/liblxi/Makefile
29

It feels a bit strange that you do not need any configure args to enable avahi support.

yuri marked an inline comment as done.Dec 31 2017, 9:47 AM
yuri added inline comments.
misc/liblxi/Makefile
29

That's strange indeed. This is because the upstream doesn't have `--disable-avahi```.
I requested it.

yuri marked 2 inline comments as done.Dec 31 2017, 9:47 AM
yuri updated this revision to Diff 37304.Dec 31 2017, 11:12 AM

Upstream added --disable-avahi.

pi added a subscriber: pi.Jan 6 2018, 9:16 AM

Testbuilds are fine, looks good to me

yuri abandoned this revision.Jan 8 2018, 10:09 PM

Committed by pi@.

yuri reclaimed this revision.Jan 10 2018, 7:51 AM
yuri abandoned this revision.